Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2023-09-27 18:09:37 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2023-09-27 18:09:37 +0300
commit57ae76cdb503afd6c0821de3a03b4387af6b59eb (patch)
treed6ffcbdd75157d969fcd5f4850f3a11f21b95a6c /scripts
parent5471fef2360f9bcf604a026d5807a554dae243e9 (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'scripts')
-rw-r--r--scripts/rspec_helpers.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/rspec_helpers.sh b/scripts/rspec_helpers.sh
index eefd9ed4993..b6e79bf3115 100644
--- a/scripts/rspec_helpers.sh
+++ b/scripts/rspec_helpers.sh
@@ -297,6 +297,9 @@ function retry_failed_rspec_examples() {
exit 1
fi
+ # Job metrics for influxDB/Grafana
+ tooling/bin/update_job_metrics_tag rspec_retried_in_new_process "true" || true
+
# Keep track of the tests that are retried, later consolidated in a single file by the `rspec:flaky-tests-report` job
local failed_examples=$(grep " failed" ${RSPEC_LAST_RUN_RESULTS_FILE})
local report_name=$(echo "${CI_JOB_NAME}" | sed -E 's|[/ ]|_|g') # e.g. 'rspec unit pg13 1/24' would become 'rspec_unit_pg13_1_24'